### Class

# Ide TaggedEntryTag

#### Description

    class Ide.TaggedEntryTag : GObject.Object {
      parent: GObject,
      priv: IdeTaggedEntryTagPrivate*
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_tagged_entry_tag_new

No description available.

#### Instance methods

###### ide_tagged_entry_tag_get_area

No description available.

###### ide_tagged_entry_tag_get_has_close_button

No description available.

###### ide_tagged_entry_tag_get_label

No description available.

###### ide_tagged_entry_tag_get_style

No description available.

###### ide_tagged_entry_tag_set_has_close_button

No description available.

###### ide_tagged_entry_tag_set_label

No description available.

###### ide_tagged_entry_tag_set_style

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.TaggedEntryTag:has-close-button

No description available.

###### Ide.TaggedEntryTag:label

No description available.

###### Ide.TaggedEntryTag:style

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeTaggedEntryTagClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.